package com.share.help.entity;

import java.sql.Timestamp;
import java.util.Objects;



public class ActivityHistoryEntity {
    private Long historyId;
    private Long activityId;
    private String userId;
    private String activityStatus;
    private Timestamp createTime;
    private Long activityScore;
    private Integer timeScore;
    private ActivityEntity activityByActivityId;
    private UserEntity userByUserId;



    public Long getHistoryId() {
        return historyId;
    }

    public void setHistoryId(Long historyId) {
        this.historyId = historyId;
    }



    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }



    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }



    public String getActivityStatus() {
        return activityStatus;
    }

    public void setActivityStatus(String activityStatus) {
        this.activityStatus = activityStatus;
    }



    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }



    public Long getActivityScore() {
        return activityScore;
    }

    public void setActivityScore(Long activityScore) {
        this.activityScore = activityScore;
    }



    public Integer getTimeScore() {
        return timeScore;
    }

    public void setTimeScore(Integer timeScore) {
        this.timeScore = timeScore;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ActivityHistoryEntity that = (ActivityHistoryEntity) o;
        return Objects.equals(historyId, that.historyId) &&
                Objects.equals(activityId, that.activityId) &&
                Objects.equals(userId, that.userId) &&
                Objects.equals(activityStatus, that.activityStatus) &&
                Objects.equals(createTime, that.createTime) &&
                Objects.equals(activityScore, that.activityScore) &&
                Objects.equals(timeScore, that.timeScore);
    }

    @Override
    public int hashCode() {
        return Objects.hash(historyId, activityId, userId, activityStatus, createTime, activityScore, timeScore);
    }



    public ActivityEntity getActivityByActivityId() {
        return activityByActivityId;
    }

    public void setActivityByActivityId(ActivityEntity activityByActivityId) {
        this.activityByActivityId = activityByActivityId;
    }



    public UserEntity getUserByUserId() {
        return userByUserId;
    }

    public void setUserByUserId(UserEntity userByUserId) {
        this.userByUserId = userByUserId;
    }
}
