package com.share.help.entity;

import java.util.Collection;
import java.util.Objects;


public class UserEntity {
    private String userId;
    private String password;
    private String name;
    private String sex;
    private String headImg;
    private String address;
    private String serviceAddress;
    private String userType;
    private Long mobile;
    private String email;
    private String info;
    private Integer timeScore;
    private Boolean chatStatus;
    private Integer age;
    private Collection<ActivityHistoryEntity> activityHistoriesByUserId;
    private Collection<ChatHistoryEntity> chatHistoriesByUserId;
    private Collection<ChatHistoryEntity> chatHistoriesByUserId_0;
    private Collection<FriendEntity> friendsByUserId;
    private Collection<FriendEntity> friendsByUserId_0;
    private Collection<LeaveWordEntity> leaveWordsByUserId;
    private Collection<LeaveWordEntity> leaveWordsByUserId_0;



    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }



    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }



    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }



    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }



    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }



    public String getServiceAddress() {
        return serviceAddress;
    }

    public void setServiceAddress(String serviceAddress) {
        this.serviceAddress = serviceAddress;
    }



    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }



    public Long getMobile() {
        return mobile;
    }

    public void setMobile(Long mobile) {
        this.mobile = mobile;
    }



    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }



    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }



    public Integer getTimeScore() {
        return timeScore;
    }

    public void setTimeScore(Integer timeScore) {
        this.timeScore = timeScore;
    }



    public Boolean getChatStatus() {
        return chatStatus;
    }

    public void setChatStatus(Boolean chatStatus) {
        this.chatStatus = chatStatus;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        UserEntity that = (UserEntity) o;
        return Objects.equals(userId, that.userId) &&
                Objects.equals(password, that.password) &&
                Objects.equals(name, that.name) &&
                Objects.equals(sex, that.sex) &&
                Objects.equals(headImg, that.headImg) &&
                Objects.equals(address, that.address) &&
                Objects.equals(serviceAddress, that.serviceAddress) &&
                Objects.equals(userType, that.userType) &&
                Objects.equals(mobile, that.mobile) &&
                Objects.equals(email, that.email) &&
                Objects.equals(info, that.info) &&
                Objects.equals(timeScore, that.timeScore) &&
                Objects.equals(chatStatus, that.chatStatus) &&
                Objects.equals(age, that.age) &&
                Objects.equals(activityHistoriesByUserId, that.activityHistoriesByUserId) &&
                Objects.equals(chatHistoriesByUserId, that.chatHistoriesByUserId) &&
                Objects.equals(chatHistoriesByUserId_0, that.chatHistoriesByUserId_0) &&
                Objects.equals(friendsByUserId, that.friendsByUserId) &&
                Objects.equals(friendsByUserId_0, that.friendsByUserId_0) &&
                Objects.equals(leaveWordsByUserId, that.leaveWordsByUserId) &&
                Objects.equals(leaveWordsByUserId_0, that.leaveWordsByUserId_0);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId, password, name, sex, headImg, address, serviceAddress, userType, mobile, email, info, timeScore, chatStatus, age, activityHistoriesByUserId, chatHistoriesByUserId, chatHistoriesByUserId_0, friendsByUserId, friendsByUserId_0, leaveWordsByUserId, leaveWordsByUserId_0);
    }

    public Collection<ActivityHistoryEntity> getActivityHistoriesByUserId() {
        return activityHistoriesByUserId;
    }

    public void setActivityHistoriesByUserId(Collection<ActivityHistoryEntity> activityHistoriesByUserId) {
        this.activityHistoriesByUserId = activityHistoriesByUserId;
    }


    public Collection<ChatHistoryEntity> getChatHistoriesByUserId() {
        return chatHistoriesByUserId;
    }

    public void setChatHistoriesByUserId(Collection<ChatHistoryEntity> chatHistoriesByUserId) {
        this.chatHistoriesByUserId = chatHistoriesByUserId;
    }


    public Collection<ChatHistoryEntity> getChatHistoriesByUserId_0() {
        return chatHistoriesByUserId_0;
    }

    public void setChatHistoriesByUserId_0(Collection<ChatHistoryEntity> chatHistoriesByUserId_0) {
        this.chatHistoriesByUserId_0 = chatHistoriesByUserId_0;
    }


    public Collection<FriendEntity> getFriendsByUserId() {
        return friendsByUserId;
    }

    public void setFriendsByUserId(Collection<FriendEntity> friendsByUserId) {
        this.friendsByUserId = friendsByUserId;
    }


    public Collection<FriendEntity> getFriendsByUserId_0() {
        return friendsByUserId_0;
    }

    public void setFriendsByUserId_0(Collection<FriendEntity> friendsByUserId_0) {
        this.friendsByUserId_0 = friendsByUserId_0;
    }


    public Collection<LeaveWordEntity> getLeaveWordsByUserId() {
        return leaveWordsByUserId;
    }

    public void setLeaveWordsByUserId(Collection<LeaveWordEntity> leaveWordsByUserId) {
        this.leaveWordsByUserId = leaveWordsByUserId;
    }


    public Collection<LeaveWordEntity> getLeaveWordsByUserId_0() {
        return leaveWordsByUserId_0;
    }

    public void setLeaveWordsByUserId_0(Collection<LeaveWordEntity> leaveWordsByUserId_0) {
        this.leaveWordsByUserId_0 = leaveWordsByUserId_0;
    }
}
