package com.share.help.res;

/**
 * 响应json
 * @param <E>
 * @param <L>
 */
public class JSONResponse<E extends Enum<E>,L> {
    /**
     * 响应信息
     */
    private Enum<E> customResult;

    /**
     * 响应状态
     */
    private Result result;

    /**
     * 响应数据
     */
    private L body;

    public Enum<E> getCustomResult() {
        return customResult;
    }

    public void setCustomResult(Enum<E> customResult) {
        this.customResult = customResult;
    }

    public Result getResult() {
        return result;
    }

    public void setResult(Result result) {
        this.result = result;
    }

    public L getBody() {
        return body;
    }

    public JSONResponse<E,L> setBody(L body) {
        this.body = body;
        return this;
    }

    public JSONResponse(Enum<E> customResult, Result result) {
        this.customResult = customResult;
        this.result = result;
    }
}


