package com.share.help.dao;

import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.type.ArrayTypeHandler;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Arrays;

public class SplitHandler extends ArrayTypeHandler {
    @Override
    public Object getNullableResult(ResultSet rs, String columnName) throws SQLException {
       String splitString= rs.getString(columnName);
       if(StringUtils.isEmpty(splitString)){
           return null;
       }else {
           return Arrays.asList(splitString.split(","));
       }
    }
}
