package com.share.help.entity;

import java.sql.Timestamp;
import java.util.Objects;


public class LeaveWordEntity {
    private Long leaveWordId;
    private String type;
    private String sourceUserId;
    private String targetUserId;
    private Long activityId;
    private Timestamp createTime;
    private UserEntity userBySourceUserId;
    private UserEntity userByTargetUserId;
    private ActivityEntity activityByActivityId;



    public Long getLeaveWordId() {
        return leaveWordId;
    }

    public void setLeaveWordId(Long leaveWordId) {
        this.leaveWordId = leaveWordId;
    }



    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }



    public String getSourceUserId() {
        return sourceUserId;
    }

    public void setSourceUserId(String sourceUserId) {
        this.sourceUserId = sourceUserId;
    }



    public String getTargetUserId() {
        return targetUserId;
    }

    public void setTargetUserId(String targetUserId) {
        this.targetUserId = targetUserId;
    }



    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        LeaveWordEntity that = (LeaveWordEntity) o;
        return Objects.equals(leaveWordId, that.leaveWordId) &&
                Objects.equals(type, that.type) &&
                Objects.equals(sourceUserId, that.sourceUserId) &&
                Objects.equals(targetUserId, that.targetUserId) &&
                Objects.equals(activityId, that.activityId) &&
                Objects.equals(createTime, that.createTime) &&
                Objects.equals(userBySourceUserId, that.userBySourceUserId) &&
                Objects.equals(userByTargetUserId, that.userByTargetUserId) &&
                Objects.equals(activityByActivityId, that.activityByActivityId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(leaveWordId, type, sourceUserId, targetUserId, activityId, createTime, userBySourceUserId, userByTargetUserId, activityByActivityId);
    }

    public UserEntity getUserBySourceUserId() {
        return userBySourceUserId;
    }

    public void setUserBySourceUserId(UserEntity userBySourceUserId) {
        this.userBySourceUserId = userBySourceUserId;
    }



    public UserEntity getUserByTargetUserId() {
        return userByTargetUserId;
    }

    public void setUserByTargetUserId(UserEntity userByTargetUserId) {
        this.userByTargetUserId = userByTargetUserId;
    }



    public ActivityEntity getActivityByActivityId() {
        return activityByActivityId;
    }

    public void setActivityByActivityId(ActivityEntity activityByActivityId) {
        this.activityByActivityId = activityByActivityId;
    }
}
