package com.share.help.res.account;

import com.share.help.entity.UserEntity;

/**
 * 用户登陆响应数据
 */
public class UserLoginRes {

    //用户id
    private String userId;

    //用户身份
    private String userType;

    //时间币
    private Integer timeScore;

    public UserLoginRes(UserEntity userEntity) {
        this.userId = userEntity.getUserId();
        this.userType = userEntity.getUserType();
        this.timeScore = userEntity.getTimeScore();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Integer getTimeScore() {
        return timeScore;
    }

    public void setTimeScore(Integer timeScore) {
        this.timeScore = timeScore;
    }

    public enum Res {
    //    登陆成功
        ok,
    //    账号或密码错误
        valid_error,
    //    表单不合法，请联系管理员
        form_error
    }
}
